Loading...
Searching...
No Matches
juce::FileBrowserComponent::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide various file-browser layout and drawing methods.

The documentation for this struct was generated from the following file:

- juce_gui_basics/filebrowser/juce_FileBrowserComponent.h

Inheritance diagram for juce::FileBrowserComponent::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual const Drawable * | getDefaultFolderImage ()=0
virtual const Drawable * | getDefaultDocumentFileImage ()=0
virtual AttributedString | createFileChooserHeaderText (const String &title, const String &instructions)=0
virtual void | drawFileBrowserRow (Graphics &, int width, int height, const File &file, const String &filename, Image *optionalIcon, const String &fileSizeDescription, const String &fileTimeDescription, bool isDirectory, bool isItemSelected, int itemIndex, DirectoryContentsDisplayComponent &)=0
virtual Button * | createFileBrowserGoUpButton ()=0
virtual void | layoutFileBrowserComponent (FileBrowserComponent &browserComp, DirectoryContentsDisplayComponent *fileListComponent, FilePreviewComponent *previewComp, ComboBox *currentPathBox, TextEditor *filenameBox, Button *goUpButton)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::FileBrowserComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## getDefaultFolderImage()

virtual const Drawable * juce::FileBrowserComponent::LookAndFeelMethods::getDefaultFolderImage | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

## getDefaultDocumentFileImage()

virtual const Drawable * juce::FileBrowserComponent::LookAndFeelMethods::getDefaultDocumentFileImage | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

## createFileChooserHeaderText()

virtual AttributedString juce::FileBrowserComponent::LookAndFeelMethods::createFileChooserHeaderText | ( | const String & | title,
|  | const String & | instructions )

pure virtual

Implemented in juce::LookAndFeel_V2.

## drawFileBrowserRow()

virtual void juce::FileBrowserComponent::LookAndFeelMethods::drawFileBrowserRow | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | const File & | file,
|  | const String & | filename,
|  | Image * | optionalIcon,
|  | const String & | fileSizeDescription,
|  | const String & | fileTimeDescription,
|  | bool | isDirectory,
|  | bool | isItemSelected,
|  | int | itemIndex,
|  | DirectoryContentsDisplayComponent & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

## createFileBrowserGoUpButton()

virtual Button * juce::FileBrowserComponent::LookAndFeelMethods::createFileBrowserGoUpButton | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

## layoutFileBrowserComponent()

virtual void juce::FileBrowserComponent::LookAndFeelMethods::layoutFileBrowserComponent | ( | FileBrowserComponent & | browserComp,
|  | DirectoryContentsDisplayComponent * | fileListComponent,
|  | FilePreviewComponent * | previewComp,
|  | ComboBox * | currentPathBox,
|  | TextEditor * | filenameBox,
|  | Button * | goUpButton )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::FileBrowserComponent::FileBrowserComponent().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited